From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/mlt/
Date: Mon, 13 Nov 2023 22:08:17 +0000 (UTC) [thread overview]
Message-ID: <1699913272.d10d7615d687451b01d0f66191ad4178fb0f99ed.asturm@gentoo> (raw)
commit: d10d7615d687451b01d0f66191ad4178fb0f99ed
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 13 22:06:10 2023 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Nov 13 22:07:52 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d10d7615
media-libs/mlt: Make CMake respect PYTHON_SINGLE_TARGET
Closes: https://bugs.gentoo.org/915132
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
media-libs/mlt/mlt-7.20.0-r1.ebuild | 165 ++++++++++++++++++++++++++++++++++++
1 file changed, 165 insertions(+)
diff --git a/media-libs/mlt/mlt-7.20.0-r1.ebuild b/media-libs/mlt/mlt-7.20.0-r1.ebuild
new file mode 100644
index 000000000000..4d8a8041f306
--- /dev/null
+++ b/media-libs/mlt/mlt-7.20.0-r1.ebuild
@@ -0,0 +1,165 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..12} )
+inherit python-single-r1 cmake
+
+DESCRIPTION="Open source multimedia framework for television broadcasting"
+HOMEPAGE="https://www.mltframework.org/"
+SRC_URI="https://github.com/mltframework/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0/7"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug ffmpeg frei0r gtk jack libsamplerate opencv opengl python qt5 rtaudio rubberband sdl test vdpau vidstab xine xml"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+# Needs unpackaged 'kwalify'
+RESTRICT="test"
+
+# rtaudio will use OSS on non linux OSes
+# Qt already needs FFTW/PLUS so let's just always have it on to ensure
+# MLT is useful: bug #603168.
+DEPEND="
+ >=media-libs/libebur128-1.2.2:=
+ sci-libs/fftw:3.0=
+ ffmpeg? ( media-video/ffmpeg:0=[vdpau?] )
+ frei0r? ( media-plugins/frei0r-plugins )
+ gtk? (
+ media-libs/libexif
+ x11-libs/pango
+ )
+ jack? (
+ >=dev-libs/libxml2-2.5
+ media-libs/ladspa-sdk
+ virtual/jack
+ )
+ libsamplerate? ( >=media-libs/libsamplerate-0.1.2 )
+ opencv? ( >=media-libs/opencv-4.5.1:=[contrib] )
+ opengl? (
+ media-libs/libglvnd
+ media-video/movit
+ )
+ python? ( ${PYTHON_DEPS} )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ media-libs/libexif
+ x11-libs/libX11
+ )
+ rtaudio? (
+ >=media-libs/rtaudio-4.1.2
+ kernel_linux? ( media-libs/alsa-lib )
+ )
+ rubberband? ( media-libs/rubberband )
+ sdl? (
+ media-libs/libsdl2[X,opengl,video]
+ media-libs/sdl2-image
+ )
+ vidstab? ( media-libs/vidstab )
+ xine? ( >=media-libs/xine-lib-1.1.2_pre20060328-r7 )
+ xml? ( >=dev-libs/libxml2-2.5 )
+"
+# java? ( >=virtual/jre-1.8:* )
+# perl? ( dev-lang/perl )
+# php? ( dev-lang/php )
+# ruby? ( ${RUBY_DEPS} )
+# sox? ( media-sound/sox )
+# tcl? ( dev-lang/tcl:0= )
+RDEPEND="${DEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ python? ( >=dev-lang/swig-2.0 )
+"
+
+DOCS=( AUTHORS NEWS README.md )
+
+PATCHES=(
+ # downstream
+ "${FILESDIR}"/${PN}-6.10.0-swig-underlinking.patch
+ "${FILESDIR}"/${PN}-6.22.1-no_lua_bdepend.patch
+ "${FILESDIR}"/${PN}-7.0.1-cmake-symlink.patch
+ # upstream (>=7.21.0)
+ "${FILESDIR}"/${P}-{rotoscoping,qtblend}-crash.patch
+)
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ # Respect CFLAGS LDFLAGS when building shared libraries. Bug #308873
+ if use python; then
+ sed -i "/mlt.so/s/ -lmlt++ /& ${CFLAGS} ${LDFLAGS} /" src/swig/python/build || die
+ python_fix_shebang src/swig/python
+ fi
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_SKIP_RPATH=ON
+ -DCLANG_FORMAT=OFF
+ -DGPL=ON
+ -DGPL3=ON
+ -DBUILD_TESTING=$(usex test)
+ -DMOD_KDENLIVE=ON
+ -DMOD_SDL1=OFF
+ -DMOD_SDL2=$(usex sdl)
+ -DMOD_AVFORMAT=$(usex ffmpeg)
+ -DMOD_PLUS=ON
+ -DMOD_FREI0R=$(usex frei0r)
+ -DMOD_GDK=$(usex gtk)
+ -DMOD_JACKRACK=$(usex jack)
+ -DMOD_RESAMPLE=$(usex libsamplerate)
+ -DMOD_OPENCV=$(usex opencv)
+ -DMOD_MOVIT=$(usex opengl)
+ -DMOD_QT=$(usex qt5)
+ -DMOD_GLAXNIMATE=$(usex qt5)
+ -DMOD_RTAUDIO=$(usex rtaudio)
+ -DMOD_RUBBERBAND=$(usex rubberband)
+ -DMOD_VIDSTAB=$(usex vidstab)
+ -DMOD_XINE=$(usex xine)
+ -DMOD_XML=$(usex xml)
+ -DMOD_SOX=OFF
+ )
+
+ # TODO: rework upstream CMake to allow controlling MMX/SSE/SSE2
+ # TODO: add swig language bindings?
+ # see also https://www.mltframework.org/twiki/bin/view/MLT/ExtremeMakeover
+
+ if use python; then
+ mycmakeargs+=(
+ -DSWIG_PYTHON=ON
+ -DPython3_EXECUTABLE="${PYTHON}"
+ )
+ fi
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ insinto /usr/share/${PN}
+ doins -r demo
+
+ #
+ # Install SWIG bindings
+ #
+
+ docinto swig
+
+ if use python; then
+ dodoc "${S}"/src/swig/python/play.py
+ python_optimize
+ fi
+}
next reply other threads:[~2023-11-13 22:08 UTC|newest]
Thread overview: 174+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-11-13 22:08 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-09 15:46 [gentoo-commits] repo/gentoo:master commit in: media-libs/mlt/ Andreas Sturmlechner
2024-10-21 17:35 Andreas Sturmlechner
2024-10-21 17:35 Andreas Sturmlechner
2024-06-29 18:41 Andreas Sturmlechner
2024-06-17 5:54 Arthur Zamarin
2024-06-17 5:19 Arthur Zamarin
2024-05-14 17:41 Andreas Sturmlechner
2024-04-22 17:07 Andreas Sturmlechner
2024-04-20 17:39 Arthur Zamarin
2024-04-20 14:52 Arthur Zamarin
2024-04-20 14:52 Arthur Zamarin
2024-01-21 19:15 Andreas Sturmlechner
2024-01-21 8:57 Sam James
2024-01-10 9:56 Andreas Sturmlechner
2023-12-14 20:20 Andreas Sturmlechner
2023-11-28 9:46 Andreas Sturmlechner
2023-11-13 22:08 Andreas Sturmlechner
2023-10-08 14:37 Andreas Sturmlechner
2023-09-30 10:00 Andreas Sturmlechner
2023-09-28 1:00 Sam James
2023-09-27 13:29 Arthur Zamarin
2023-09-26 18:09 Arthur Zamarin
2023-08-20 14:49 Andreas Sturmlechner
2023-08-16 19:17 Sam James
2023-08-12 16:03 Arthur Zamarin
2023-07-26 0:55 Sam James
2023-06-14 16:29 Sam James
2023-06-12 18:04 Sam James
2023-06-12 18:04 Sam James
2023-06-10 19:26 Andreas Sturmlechner
2023-06-10 5:19 Jakov Smolić
2023-06-09 16:38 Arthur Zamarin
2023-06-09 14:38 Sam James
2023-03-25 0:14 Andreas Sturmlechner
2022-12-15 4:43 Arthur Zamarin
2022-12-05 18:03 Arthur Zamarin
2022-12-05 8:45 Sam James
2022-11-23 20:22 Andreas Sturmlechner
2022-11-23 20:22 Andreas Sturmlechner
2022-11-04 8:08 Andreas Sturmlechner
2022-10-25 19:03 Andreas Sturmlechner
2022-09-14 16:28 Andreas Sturmlechner
2022-09-14 16:28 Andreas Sturmlechner
2022-06-23 4:29 Sam James
2022-04-10 13:33 Yixun Lan
2022-01-21 13:00 Andreas Sturmlechner
2022-01-21 12:42 Sam James
2022-01-20 15:34 Jakov Smolić
2022-01-20 15:34 Jakov Smolić
2021-12-20 12:42 Andreas Sturmlechner
2021-12-02 23:39 Sam James
2021-11-26 10:37 Andreas Sturmlechner
2021-11-06 20:54 Sam James
2021-11-04 16:13 Sam James
2021-11-04 16:12 Sam James
2021-08-31 15:42 Andreas Sturmlechner
2021-08-31 15:42 Andreas Sturmlechner
2021-08-15 18:57 Andreas Sturmlechner
2021-08-13 0:33 Sam James
2021-08-13 0:33 Sam James
2021-08-05 20:03 Sam James
2021-06-04 8:14 Sam James
2021-06-03 22:22 Sam James
2021-06-03 16:34 Sam James
2021-04-24 21:40 Andreas Sturmlechner
2021-04-16 22:02 Andreas Sturmlechner
2021-04-16 22:02 Andreas Sturmlechner
2021-04-11 10:43 Andreas Sturmlechner
2021-01-23 22:51 Sam James
2021-01-23 17:12 Andreas Sturmlechner
2021-01-03 15:53 Andreas Sturmlechner
2021-01-03 15:53 Andreas Sturmlechner
2021-01-03 15:53 Andreas Sturmlechner
2020-12-28 15:03 Andreas Sturmlechner
2020-11-02 12:49 Sam James
2020-10-19 3:19 Sam James
2020-10-18 18:06 Thomas Deutschmann
2020-10-05 11:22 Andreas Sturmlechner
2020-09-13 11:19 Andreas Sturmlechner
2020-07-18 8:41 Andreas Sturmlechner
2020-07-17 7:44 Agostino Sarubbo
2020-07-11 2:37 Sam James
2020-06-30 21:44 Andreas Sturmlechner
2020-06-30 21:44 Andreas Sturmlechner
2020-06-30 21:44 Andreas Sturmlechner
2020-04-25 20:00 Mikle Kolyada
2020-03-19 6:25 Mikle Kolyada
2020-03-19 1:46 Andreas Sturmlechner
2020-03-19 0:06 Agostino Sarubbo
2020-03-18 23:48 Agostino Sarubbo
2020-03-11 23:05 Andreas Sturmlechner
2020-03-11 23:05 Andreas Sturmlechner
2020-02-24 22:14 Andreas Sturmlechner
2020-02-24 22:14 Andreas Sturmlechner
2020-02-24 22:14 Andreas Sturmlechner
2020-02-10 7:12 Andreas Sturmlechner
2020-01-30 21:26 Michał Górny
2020-01-26 10:26 Georgy Yakovlev
2020-01-12 9:58 Andreas Sturmlechner
2020-01-07 19:34 Andreas Sturmlechner
2019-11-17 10:39 Andreas Sturmlechner
2019-11-16 23:16 Andreas Sturmlechner
2019-08-31 20:46 Andreas Sturmlechner
2019-08-28 19:41 Michał Górny
2019-07-22 8:54 Mikle Kolyada
2019-07-18 11:44 Agostino Sarubbo
2019-07-16 18:19 Andreas Sturmlechner
2019-06-30 11:51 Andreas Sturmlechner
2019-06-30 11:51 Andreas Sturmlechner
2019-06-30 11:04 Andreas Sturmlechner
2019-06-29 21:34 Andreas Sturmlechner
2019-06-29 21:34 Andreas Sturmlechner
2019-06-29 21:34 Andreas Sturmlechner
2019-05-08 22:56 Andreas Sturmlechner
2019-04-03 14:11 Andreas Sturmlechner
2019-04-03 14:11 Andreas Sturmlechner
2019-02-19 18:04 Andreas Sturmlechner
2019-02-18 2:16 Craig Andrews
2019-01-30 23:56 Andreas Sturmlechner
2019-01-17 18:14 Mikle Kolyada
2019-01-15 22:10 Thomas Deutschmann
2019-01-09 10:57 Andreas Sturmlechner
2018-12-13 15:21 Mikle Kolyada
2018-12-13 15:20 Mikle Kolyada
2018-12-13 12:48 Thomas Deutschmann
2018-12-12 11:56 Andreas Sturmlechner
2018-08-30 8:50 Mikle Kolyada
2018-08-29 1:07 Thomas Deutschmann
2018-08-07 19:02 Andreas Sturmlechner
2018-07-28 23:59 Mikle Kolyada
2018-07-28 13:24 Thomas Deutschmann
2018-07-22 21:50 Andreas Sturmlechner
2018-07-22 21:50 Andreas Sturmlechner
2018-07-22 21:50 Andreas Sturmlechner
2018-06-03 11:15 Andreas Hüttel
2018-03-06 12:32 Michael Palimaka
2018-02-16 11:39 Michael Palimaka
2018-02-16 11:39 Michael Palimaka
2018-02-12 22:34 Thomas Deutschmann
2018-01-25 11:37 Michael Palimaka
2017-11-17 17:33 Andreas Sturmlechner
2017-11-15 23:45 Andreas Sturmlechner
2017-11-15 23:45 Andreas Sturmlechner
2017-11-15 23:45 Andreas Sturmlechner
2017-10-31 18:35 Andreas Sturmlechner
2017-10-31 18:35 Andreas Sturmlechner
2017-10-28 12:17 Andreas Sturmlechner
2017-10-28 12:17 Andreas Sturmlechner
2017-06-30 17:27 Andreas Sturmlechner
2017-06-30 11:10 Agostino Sarubbo
2017-06-28 13:19 Agostino Sarubbo
2017-06-18 12:08 Michael Palimaka
2017-06-03 15:01 Michael Palimaka
2017-04-23 11:29 David Seifert
2017-01-26 14:55 Michael Palimaka
2017-01-26 14:53 Agostino Sarubbo
2017-01-26 14:45 Agostino Sarubbo
2016-11-30 15:20 Michael Palimaka
2016-08-21 20:08 Michael Palimaka
2016-07-27 14:12 Michael Palimaka
2016-06-23 13:40 Michael Palimaka
2016-06-21 21:44 Michael Palimaka
2016-04-20 15:04 Ian Stakenvicius
2016-01-02 14:11 Michael Palimaka
2016-01-02 14:11 Michael Palimaka
2016-01-01 15:54 Michael Palimaka
2016-01-01 15:25 Michael Palimaka
2016-01-01 15:25 Michael Palimaka
2015-10-04 9:58 Jeroen Roovers
2015-08-21 12:51 Alexis Ballier
2015-08-21 12:49 Alexis Ballier
2015-08-21 12:38 Alexis Ballier
2015-08-19 14:22 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1699913272.d10d7615d687451b01d0f66191ad4178fb0f99ed.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox